Bug 175123 - Select text only for wanted icons on toolbars to save space
Summary: Select text only for wanted icons on toolbars to save space
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kdeui (show other bugs)
Version: 0.1
Platform: Mandriva RPMs Linux
: NOR wishlist with 41 votes (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
: 94706 201348 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-11-14 13:44 UTC by Fri13
Modified: 2010-04-26 03:32 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
First mockup with konqueror (259.76 KB, image/png)
2008-11-14 13:50 UTC, Fri13
Details
Second mockup with Kmail (56.92 KB, image/jpeg)
2008-11-14 13:51 UTC, Fri13
Details
Allow hiding icon text alongside icon for each action individually (6.58 KB, patch)
2009-09-01 03:48 UTC, Christoph Feck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fri13 2008-11-14 13:44:01 UTC
Version:            (using KDE 4.1.2)
OS:                Linux
Installed from:    Mandriva RPMs

Note, this feature does is not actually only for Konqueror but for All applications using KDE technology:
 
We have four options for text and icons on toolbars.

1) Icons only
2) Text alongside icons
3) Text under icons
4) Text only

There has be a discussion about making defaults as "Text alongside icons" mode for toolbars. This takes space, even it would be good in some situations and on others the text-under -would be better and some place the "icons only" is best. Especially if using netbook size screen (1024x600).

I have done mockup about fifth mode. What would allow user to select what icons should have text with them and with does not.

Problem is that it works best with "Text alongside icons" mode when the "Text under icons" mode would look funnier (all icons should have text then?).

The mockup says it all.

http://img231.imageshack.us/my.php?image=konquerortoolbarmockupfak0.png

http://img362.imageshack.us/my.php?image=69351941de2.jpg

There has be a discussion in these blogs:

http://weblog.obso1337.org/2008/kde-42-toolbars-icons-labels/

http://daniel.molkentin.de/blog/archives/129-On-Icons-and-Labels.html
Comment 1 Fri13 2008-11-14 13:50:00 UTC
Created attachment 28570 [details]
First mockup with konqueror
Comment 2 Fri13 2008-11-14 13:51:21 UTC
Created attachment 28571 [details]
Second mockup with Kmail


Kmail UI difference with menu hided and toolbars having text only on most used icons.
Comment 3 FiNeX 2008-11-14 18:40:22 UTC
It is not a bad idea.
Comment 4 Christoph Feck 2009-03-20 09:42:42 UTC
*** Bug 94706 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2009-07-26 13:25:19 UTC
*** Bug 201348 has been marked as a duplicate of this bug. ***
Comment 6 Peter Paulsen 2009-07-31 16:03:41 UTC
That would be *so* great!Germans tend to use very long descriptive button texts...
Comment 7 Christoph Feck 2009-09-01 03:48:59 UTC
Created attachment 36604 [details]
Allow hiding icon text alongside icon for each action individually

Requires KDE trunk (4.4) and Qt master (4.6)
Comment 8 Sergei Andreev 2009-09-20 16:24:26 UTC
*** This bug has been confirmed by popular vote. ***
Comment 9 David Faure 2009-11-13 20:46:02 UTC
Christoph: this is http://reviewboard.kde.org/r/1847/, no?
Are you committing for 4.4?
Comment 10 Christoph Feck 2009-12-09 08:00:41 UTC
I did not commit this for 4.4.

* After changing the length of the check box text, I noticed a possible layout bug in Qt, which makes it crop the label text. I didn't find the time yet to investigate or work around this.
* I was waiting for a reply from Qt issue 262399.
* Using the same trick described at my blog, you can change actions priorities manually, so the patch is not that urgent.
* I did not like the work-flow; changing multiple icons was cumbersome. What should probably be done is the right click menu having an "Hide Text" check box, or the dialog reworked completely.
* The dialog should provide a feedback which icons have hidden text, for example using a text in parenthesis.

I will leave the patch/review request open for anyone wanting to use it, until the issues are resolved (hopefully for 4.5).

Apologies.
Comment 11 Christoph Feck 2010-04-26 03:32:34 UTC
SVN commit 1118843 by cfeck:

Allow to hide text for specific icons on toolbars

I worked around the QFormLayout bug by using QGridLayout, otherwise
the patch is unchanged from the reviewed one.

Review: http://reviewboard.kde.org/r/1847/
FEATURE: 175123


 M  +87 -5     dialogs/kedittoolbar.cpp  
 M  +25 -0     dialogs/kedittoolbar_p.h  
 M  +2 -1      xmlgui/kpartgui.dtd  
 M  +10 -1     xmlgui/kxmlgui.xsd  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1118843